# TRAITEMENT DE DONNEES

Vous trouverez un résumé des quelques commandes linux que l'on a vu la semaine dernière sur :

* <http://juliend.github.io/linux-cheatsheet/>
* <http://www.epons.org/commandes-base-linux.php>

____________

On dispose de 2 fichiers d'acquisition de données sur un voilier.
Le premier, "Data/00000012.TSV" contient les données au format NMEA 0183.
Les données se présentent de la manière suivante :

~~~~
   $IIGLL,4806.070,N,00420.408,W,103219,A,A*4D
   $IIZDA,103219,08,08,2014,,*50
   $IIVTG,341,T,,M,4.1,N,7.6,K,A*06
   $IIXTE,A,A,0.20,R,N,A,*24
   $IIRMB,A,0.21,R,,,,,,,0.20,2,,A,A*7D
   $IIDPT,6.1,,*45
   $IIDBT,20.0,f,6.1,M,,*4C
   $IIVLW,157.0,N,58.89,N*42
   $IIVHW,333.4,T,337,M,3.94,N,7.29,K*49
   $IIMWV,17,R,9.8,N,A*14
   $IIVWR,17,R,9.8,N,5.0,M,18.1,K*5D
   $IIMWD,,,0,M,6.1,N,3.1,M*25
   $IIXDR,C,15.8,C,AirTemp*2A
   $IIMTW,21.2,C*12
   $IIVWT,28,R,6.1,N,3.1,M,11.3,K*5D
   $IIHDG,337,,,,*50
   $IIHDM,337,M*3B
   $IIHDT,333.4,T*25
~~~~

Chaque ligne contient une trame, son type est indiqué par le premier mot clé.
Les trames qui vont nous interesser sont :

* __VHW__ : vitesse surface
* __MWV__ : vent apparent
* __DPT__ : profondeur

Pour plus d'information sur le format NMEA :

* <https://fr.wikipedia.org/wiki/NMEA_0183>
* <https://gpsd.gitlab.io/gpsd/NMEA.html>

## Travail demandé

Je veux pouvoir tracer sur un même graphique, à l'aide de gnuplot :

1) la vitesse surface du bateau
2) la profondeur
3) la vitesse du vent apparent
4) filtrer les données afin de les rendre plus lisible (fonction _smooth_ de gnuplot)


Exemples de sortie :
![](Png/s1.png)
![](Png/s2.png)
___

Travailler à partir du fichier tsv n'est pas ideal, car on n'a pas de référence temporelle; On a 2 systemes différents, un GPS et une centrale de navigation qui sortent leurs informations a des vitesses différentes; le GPS respecte la norme NMEA, une série de trames par seconde, alors que la centrale NKE préfère sortir les informations le plus rapidement possible

~~~~bash
cat Data/00000012.TSV | cut -d, -f1|sort|uniq -c|sort -n
  41013 $IIRMB
  41085 $IIHDG
  41146 $IIHDM
  41220 $IIMWV
  41243 $IIVWR
  41285 $IIMTW
  41287 $IIVTG
  41292 $IIXTE
  41317 $IIXDR
  41318 $IIVWT
  41332 $IIGLL
  41363 $IIHDT
  41388 $IIVHW
  41416 $IIVLW
  41419 $IIDBT
  41429 $IIMWD
  41509 $IIZDA
  41630 $IIDPT
~~~~

On voit donc qu'on n'a pas le même nombre de trames de chaque type.

Le fichier CSV lui contient toutes les données en tableau, chaque ligne étant horodatée.

* Mêmes questions en partant du fichier  00000012.csv
* que s'est il passé entre 20h43 et 20h44 ?
* ou était-ce ?

![](Png/s3.png)


Envoyez moi ce que vous avez fait à bertrand.orvoine@univ-ubs.fr
